#if !defined(AFX_DLGPICTARROWDUTY_H__47FE7B09_BAAF_406B_995F_370529187277__INCLUDED_)
#define AFX_DLGPICTARROWDUTY_H__47FE7B09_BAAF_406B_995F_370529187277__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgPictArrowDuty.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "DlgPictArrowDutySub.h"	// For CFCDLGPICTARROWDUTY.
#include "DialogBase.h"		// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCDialogBase

/////////////////////////////////////////////////////////////////////////////
// CFCDlgPictArrowDuty _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCDlgPictArrowDuty : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCDlgPictArrowDuty(CWnd* pParent = NULL);   // _xZkqqHx_jFfHiPiAiCmMiDfCiDjDiDfIiDgHiDiJiDeOiDfO_xHqqkZx_

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCDlgPictArrowDuty)
	enum { IDD = IDD_DLG_PICT_ARROW_DUTY };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_: ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA

CFCDLGPICTARROWDUTY

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCDlgPictArrowDuty)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:

	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCDlgPictArrowDuty)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnFadChkArrowPolygon();
	afx_msg void OnSelchangeFadCmbSyncPenStyle();
	afx_msg void OnSelchangeFadCmbSyncPenWeight();
	afx_msg void OnSelchangeFadCmbSyncPenBackSColor();
	afx_msg void OnSelchangeFadCmbSyncBrushBackSColor();
	afx_msg void OnSelchangeFadCmbSyncBrushPattern();
	afx_msg void OnSelchangeFadCmbSyncBrushForeSColor();
	afx_msg void OnSelchangeFadCmbSyncPenWidth();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_DLGPICTARROWDUTY_H__47FE7B09_BAAF_406B_995F_370529187277__INCLUDED_)
